=== debian/control ===
Source: ros-rolling-ur-robot-driver
Section: misc
Priority: optional
Maintainer: Denis Stogl <denis@stoglrobotics.de>
Build-Depends: debhelper (>= 9.0.0), docker.io <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-python, ros-rolling-controller-manager, ros-rolling-controller-manager-msgs, ros-rolling-geometry-msgs, ros-rolling-hardware-interface, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tf2-geometry-msgs, ros-rolling-ur-client-library, ros-rolling-ur-controllers, ros-rolling-ur-dashboard-msgs, ros-rolling-ur-description, ros-rolling-ur-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ur-robot-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-manager, ros-rolling-controller-manager-msgs, ros-rolling-force-torque-sensor-broadcaster, ros-rolling-geometry-msgs, ros-rolling-hardware-interface, ros-rolling-joint-state-broadcaster, ros-rolling-joint-state-publisher, ros-rolling-joint-trajectory-controller, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-pluginlib, ros-rolling-position-controllers, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rclpy, ros-rolling-robot-state-publisher, ros-rolling-ros2-controllers-test-nodes, ros-rolling-rviz2, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-tf2-geometry-msgs, ros-rolling-ur-client-library, ros-rolling-ur-controllers, ros-rolling-ur-dashboard-msgs, ros-rolling-ur-description, ros-rolling-ur-msgs, ros-rolling-urdf, ros-rolling-velocity-controllers, ros-rolling-xacro, socat, ros-rolling-ros-workspace
Description: The new driver for Universal Robots UR3, UR5 and UR10 robots with CB3 controllers and the e-series.
